<?php
declare(strict_types=1);

namespace CYBOB\KroneDownloads\Serialization;

/**
 * @package \CYBOB\KroneDownloads\Serialization
 */
interface SerializableEntityInterface
{
    /**
     * @return array
     */
    public function __serialize(): array;

    /**
     * @param $data
     *
     * @return void
     */
    public function __unserialize($data): void;

    /**
     * @return void
     */
    public function initializeObject(): void;
}
